curl --request GET \
--url https://api.nocotax.app/credit_notes/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/credit_notes/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/credit_notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/credit_notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/credit_notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/credit_notes/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/credit_notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "cn_17920607444nazb833cb8b",
"livemode": false,
"object": "credit_note",
"amount_to_credit": null,
"amount_overcredited": null,
"amount_credited": null,
"amount_post_payment": null,
"amount_pre_payment": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": null,
"currency": "EUR",
"customer_data": {
"name": "Casper Group",
"billing_address": {
"city": "Port Eldridge",
"line1": "260 Emil Points",
"line2": "Suite 415",
"country": "BT",
"postal_code": "94987-0629"
},
"tax_identification_number": "002351864",
"business_registration_number": "51984919400484"
},
"customer_id": "org_17920607443ir290a74219",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607443cby42131db1",
"order_reference": null,
"period": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "MT",
"supplier_data": {
"name": "Feeney-Marvin",
"billing_address": {
"city": "Waltonside",
"line1": "2562 Jaime Mountains",
"line2": "Apt. 509",
"country": "MT",
"postal_code": "12124"
},
"tax_identification_number": "216575894",
"business_registration_number": "86989551600548"
},
"supplier_id": "org_179206074433k5630d7774",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:04.221Z",
"updated_at": "2026-10-15T10:39:04.221Z"
}Retrieve a Credit Note
Retrieves an Credit Note for a given ID.
curl --request GET \
--url https://api.nocotax.app/credit_notes/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/credit_notes/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/credit_notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/credit_notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/credit_notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/credit_notes/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/credit_notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "cn_17920607444nazb833cb8b",
"livemode": false,
"object": "credit_note",
"amount_to_credit": null,
"amount_overcredited": null,
"amount_credited": null,
"amount_post_payment": null,
"amount_pre_payment": null,
"amount_remaining": null,
"automatic_tax_calculation": {
"enabled": false
},
"credit_status": null,
"currency": "EUR",
"customer_data": {
"name": "Casper Group",
"billing_address": {
"city": "Port Eldridge",
"line1": "260 Emil Points",
"line2": "Suite 415",
"country": "BT",
"postal_code": "94987-0629"
},
"tax_identification_number": "002351864",
"business_registration_number": "51984919400484"
},
"customer_id": "org_17920607443ir290a74219",
"customer_tax_registration_data": [],
"customer_tax_registration_ids": [],
"document_date": null,
"document_number": null,
"flow": "sales",
"invoice_id": null,
"issuer": null,
"legal_notices": null,
"locale": "en",
"memo": null,
"metadata": {},
"numbering_sequence_id": "ns_17920607443cby42131db1",
"order_reference": null,
"period": null,
"representations": {},
"status": "draft",
"status_transitions": {},
"supplier_country": "MT",
"supplier_data": {
"name": "Feeney-Marvin",
"billing_address": {
"city": "Waltonside",
"line1": "2562 Jaime Mountains",
"line2": "Apt. 509",
"country": "MT",
"postal_code": "12124"
},
"tax_identification_number": "216575894",
"business_registration_number": "86989551600548"
},
"supplier_id": "org_179206074433k5630d7774",
"supplier_tax_registration_data": [],
"supplier_tax_registration_ids": [],
"taxes": [],
"total_extratax_amount": 2888,
"total_tax_amount": 0,
"total_tax_included_amount": 2888,
"created_at": "2026-10-15T10:39:04.221Z",
"updated_at": "2026-10-15T10:39:04.221Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
id
Response
successful
The amount to credit at the time the credit note is finalized, in the currency's smaller unit (eg. cents)
If the amount of transactions attached to this credit note exceed its amount to credit, the amount overcredited, in the currency's smaller unit (eg. cents)
The amount that has been credited, in the currency's smaller unit (eg. cents)
The amount that will need to be credited to the customer
If attached to an invoice, the amount by which the corresponding invoice amount_remaining is reduced
The amount still to credit, in the currency's smaller unit (eg. cents)
When automatic tax calculation is enabled, Nocotax automatically determines which tax rates must be applied to each item sold within the document.
Show child attributes
Show child attributes
The credit status of the credit note. to_credit: The credit note has an amount that needs to be credited to the customer. credited: This credit note has been totally credited to the customer.
to_credit, credited The currency ISO code of the document
Show child attributes
Show child attributes
The ID of the organization this document refers as a customer
The customer’s tax registration data. They are displayed on the PDF of the document, and may be used for automatic tax calculation if enabled.
Show child attributes
Show child attributes
The customer’s tax registration IDs.
The date of issuance of this document. Its value is null when the document status is draft
The number of this document. Its value is null when the document status is draft
If the issuer of the document is not the supplier (in case of white-label or self billing), information on the issuer
Show child attributes
Show child attributes
Specifies the direction or role of the account owner in the invoicing transaction.
sales: The account owner is the supplier (i.e., the entity issuing the document for goods or services provided).
purchases: The account owner is the customer (i.e., the entity receiving the document for goods or services purchased).
platform: The account owner is a facilitator (i.e., the entity enabling the transaction between a customer and a supplier, such as a marketplace or intermediary).
sales, purchases, platform If this credit note refers to an invoice, the ID of this invoice.
A text representing a legal notice to display on document representations
The locale used for this credit note representations (PDF)
Document memo
The ID of the numbering sequence this document is using to generate its number at finalization
The period associated with this document. Used to recognize and defer revenue
Show child attributes
Show child attributes
After finalization of a document, you can share its representations to whoever you want. This is a set of URLs you can share.
Show child attributes
Show child attributes
The status of the document, one of draft, finalized, cancelled
draft, finalized, cancelled Show child attributes
Show child attributes
The country (ISO alpha 2) of the country of issuance of the document
Show child attributes
Show child attributes
The ID of the organization this document refers as a supplier
The supplier's tax registration data. They are displayed on the PDF of the document, and may be used for automatic tax calculation if enabled.
Show child attributes
Show child attributes
The customer’s tax registration IDs.
The document's tax breakdown
Show child attributes
Show child attributes
Total extratax amount of the document, in the currency's smaller unit (eg. cents)
Total tax amount of the document, in the currency's smaller unit (eg. cents)
Total tax included of the document, in the currency's smaller unit (eg. cents)
